Subject: Re: today's linux-next fails to boot

From: Török Edwin <[email-masked]>
Date: Fri, 11 Jul 2008 18:27:15 +0300

On 2008-07-11 18:00, Vegard Nossum wrote:
>> On Fri, Jul 11, 2008 at 4:48 PM, Török Edwin <[email-masked]> wrote:
>>     
>>>> One really simple way of getting some more info out of this is to take
>>>> the EIP value (here c0181ca0) and run it through addr2line:
>>>>
>>>>     $ addr2line -e vmlinux -i c0181ca0
>>>>         
>>> Thanks for the hint, I rebuilt a failing kernel, and this is what
>>> addr2line says:
>>>
>>> $ addr2line -e vmlinux -i c0181ca0
>>>
>>> ??:0
>>> $ addr2line -e vmlinux -f c0181ca0
>>> kmem_cache_alloc
>>> ??:0
>>>       
>
> BTW, did the new kernel fail in exactly the same place? 

Yep, I am using ccache, same sources -> same binary.

addr2line -i now says:
/var/local/src/linux-2.6.git/linux-2.6/mm/slub.c:1648
/var/local/src/linux-2.6.git/linux-2.6/mm/slub.c:1662

Strangely the EIP is the same even after rebuilding with debug info.

Since tip/master supports the latency tracing features, I won't dig
further into the linux-next problem now
(we'll know tomorrow if the commits in tip solve the boot problem).

Best regards,
--Edwin